SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   OS (UNIX)  >   Apple CoreFoundation Vendors:   Apple
Apple Mac OS X CoreFoundation Untrusted Bundles or the CFStringGetFileSystemRepresentation() API May Let Users Execute Arbitrary Code
SecurityTracker Alert ID:  1016080
SecurityTracker URL:  http://securitytracker.com/id/1016080
CVE Reference:   CVE-2006-1442, CVE-2006-1443   (Links to External Site)
Date:  May 12 2006
Impact:   Execution of arbitrary code via local system, Execution of arbitrary code via network, User access via local system, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 10.3.9, 10.4.6
Description:   A vulnerability was reported in Apple Mac OS X CoreFoundation. A user may be able to execute arbitrary code on the target system.

An application can register an untrusted bundle that will load and execute an arbitrary dynamic library. This may allow a user to execute arbitrary code.

Also, the CFStringGetFileSystemRepresentation() API contains an integer overflow. A user can invoke this API or a related API to execute arbitrary code.

Impact:   A user can execute arbitrary code on the target system. The specific impact depends on the applications that use the affected CoreFoundation functions.
Solution:   No solution was available at the time of this entry.
Vendor URL:  docs.info.apple.com/article.html?artnum=303737 (Links to External Site)
Cause:   Access control error, Boundary error

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC